ubuntu 12.04 编译安装 xfce 4.10

鉴客 发布于 2012/07/25 21:06
阅读 2K+
收藏 2

xfce4.10已经发布很长时间了,在ubuntu的软件中心里面使用的还是4.8的版本,所以通过apt-get的方式安装xfce的版本为4.8。

xfce-about

xfce-about

xfce的编译安装顺序有一定的要求,在安装之前需要删除老版本的xfce。如果编译顺序不对或者没有删除旧版本的xfce登录时会出现两行字之后又跳入登录界面。如果出现问题请删除旧版本的xfce,然后按照正确的顺序重新编译安装。

删除老版本的xfce执行:sudo apt-get remove xfce4-*  xfwm4 xfconf,其他的软件根据个人安装情况进行删除,如果未删除也不会影响,执行apt-get的时候可能会提示你一些无用软件,这是可以使用apt-get删除掉。

准备完毕后先下载xfce4.10,然后解压,进入相应的目录执行“./configure && make && sudo make install”,编译顺序为

  • xfce4-dev-tools
  • libxfce4util
  • xfconf
  • libxfce4ui, garcon
  • exo
  • xfce4-panel
  • thunar
  • xfce4-settings, xfce4-session, xfdesktop, xfwm4,  xfce4-appfinder

下载的其他软件最后编译安装,还有一些软件请到此处下载:http://archive.xfce.org/src/,比如可能需要orage,那就去http://archive.xfce.org/src/apps/orage下载最新版本编译安装即可。

在编译过程中有一些依赖需要安装,提示错误的时候再安装也可,比如提示缺少libwnck,可以执行apt-cache search libwnck来查找这个软件包,最好不要带版本号,然后使用sudo apt-get install libwnck-3-dev即可(安装带dev字样的包)。

安装完成后还需要自己进行一些配置,来慢足个人的需求。

在面板配置中,如果想将一些项目添加到面板的右侧,则需要添加一个透明扩展的分隔符,如下:

转自Ubuntu之家 {www.ubuntuhome.com}

加载中
0
罗树鹏
罗树鹏
好,真不错,谢谢分享~
0
返回顶部
顶部